Skip to main content
POST
/
v1
/
customers
Create customer
curl --request POST \
  --url https://api-sandbox.y.uno/v1/customers \
  --header 'Content-Type: application/json' \
  --header 'account-code: <api-key>' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>' \
  --data '
{
  "email": "maria.silva@example.com",
  "first_name": "Maria",
  "last_name": "Silva",
  "phone": "+5511999990000",
  "document": {
    "document_type": "CPF",
    "document_number": "12345678901"
  },
  "merchant_customer_id": "cust-internal-001"
}
'
{
  "id": "c9d0e1f2-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
  "email": "maria.silva@example.com",
  "first_name": "Maria",
  "last_name": "Silva",
  "phone": "+5511999990000",
  "document": {
    "document_type": "CPF",
    "document_number": "12345678901"
  },
  "merchant_customer_id": "cust-internal-001",
  "created_at": "2026-03-01T10:00:00.000Z"
}
This request creates a customer resource. You need to provide several parameters of the customer in the request body, including the unique identifier of the customer in the external merchant, personal information, as well as billing and shipping addresses. Creating a customer generates a customer id that can be used to initialize the checkout.
ImportantThere are certain objects that are not mandatory when creating a “Customer”. However the more information you provide, the approval, conversion and fraud prevention rates will be positively impacted.

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

account-code
string
header
required

Your account identifier. The alias X-Account-Code is also accepted.

Body

application/json
email
string<email>
required

Customer email address

Example:

"maria.silva@example.com"

first_name
string

Customer first name

Example:

"Maria"

last_name
string

Customer last name

Example:

"Silva"

phone
string

Customer phone number

Example:

"+5511999990000"

document
object
Example:
{
"document_type": "CPF",
"document_number": "12345678901"
}
merchant_customer_id
string

Your internal customer identifier

Example:

"cust-internal-001"

Response

Customer created successfully

id
string<uuid>

Yuno customer identifier

Example:

"c9d0e1f2-3a4b-5c6d-7e8f-9a0b1c2d3e4f"

email
string<email>
Example:

"maria.silva@example.com"

first_name
string
Example:

"Maria"

last_name
string
Example:

"Silva"

phone
string
Example:

"+5511999990000"

document
object
Example:
{
"document_type": "CPF",
"document_number": "12345678901"
}
merchant_customer_id
string
Example:

"cust-internal-001"

created_at
string<date-time>
Example:

"2026-03-01T10:00:00.000Z"